<?php

/**
 * payment.php
 * -----------
 * @version 5.4.0
 * @copyright 2002-2008 Melbis Company
 * @link http://www.melbis.com
 * @author Dmitriy Kasyanov
 **/
 

/**
 * Function pay_go
 **/
function pay_go()
{ 
	$content = @implode("", (@file('./pay_mod/easypay/pay_go.htm')));
	
	$order_id = $_SESSION['order_info']['id']*1;
	if ($order_id == 0) $order_id = time();
	$summ = $_SESSION['order_info']['totalsum'];
	$_SESSION['trans_info']['request_url'] = REQUEST_URL;
	$_SESSION['trans_info']['ep_merno'] = EP_MERNO;
	$_SESSION['trans_info']['ep_debug'] = EP_DEBUG;
	$_SESSION['trans_info']['ep_expires'] = EP_EXPIRES;
	$_SESSION['trans_info']['outsumm'] = $summ;
	$_SESSION['trans_info']['order_id'] = $order_id;
	$_SESSION['trans_info']['success_url'] = EP_SUCCESS_URL;
	$_SESSION['trans_info']['cancel_url'] = EP_CANCEL_URL;
	$_SESSION['trans_info']['ep_comment'] = EP_COMMENT;
	$_SESSION['trans_info']['ep_orderinfo'] = $_SESSION['goods_info']['name'];
	
	$hash = md5(EP_MERNO.WEB_KEY.$order_id.$summ);
	$_SESSION['trans_info']['hash'] = $hash;
	
	return  $content;
}



/**
 * Function pay_get
 **/
function pay_get()
{ 
	global $gData, $gOptions;		
	
	// Payment accept
	if (strlen($_GET['oper']) == 0 && isset($_POST['notify_signature']))
	{
		$order_id    	  = $_POST['order_mer_code'];
		$sum              = $_POST['sum'];
		$mer_no           = $_POST['mer_no'];
		$card             = $_POST['card'];
		$purch_date       = $_POST['purch_date'];
		$web_key          = WEB_KEY;
		$notify_signature = $_POST['notify_signature'];
		
		$hash = md5($order_id . $sum . $mer_no . $card . $purch_date . $web_key);
		
		if ($hash != $notify_signature) {
			header("HTTP/1.0 400 Bad Request");
			die('Wrong notify signature!');
		}else{
			header("HTTP/1.0 200 OK"); //  HTTP-
		}
		

		// Connect to Data 
		$gData = data_connect();	

		// Set order ok e-mail for admin
		$tplm = new FastTemplate('./pay_mod/easypay');
		$tplm->DefineTemplate(array('mail_message'	=>	'pay_ok_mail.htm'));
		$tplm->Assign(array('SUMA'			=> number_format($_POST['out_summ']*1, 2, '.', ''),
							'SHOPNAMES'		=> $gOptions['attr_shop_name'],
					    	'SHOPURL'		=> $gOptions['attr_shop_url']
						   ));
		$tplm->Parse('MAIL', 'mail_message');
		$mailer = new Emailer(MAIL_SERVER);
		$mailer->SetCharset($gOptions['attr_admin_charset']);
		$mailer->SetTypeText();
		$all_message = iconv(SHOP_CHARSET, $gOptions['attr_admin_charset'], $tplm->Fetch('MAIL'));
		$subject = substr($all_message, strpos($all_message, 'Message_subject:')+16, strpos($all_message, 'Message_content:')-16);
		$message = substr($all_message, strpos($all_message, 'Message_content:')+16);
		$mailer->AddMessage($message);
		$mailer->BuildMessage();
		$mailer->Send($gOptions['attr_admin_email'], $gOptions['attr_shop_email'], ltrim($subject, " "));	
					
		// Fix order payment

		if ($order_id > 0) 
		{
			setup_orders_archive(array(), array($order_id => '2'));
		}
		
		$content = "OK $order_id\n";
	}

	// echo success of fail
	if ($_GET['oper'] == 'success') $content = @implode("", (@file('./pay_mod/easypay/pay_success.htm')));
	if ($_GET['oper'] == 'fail') $content = @implode("", (@file('./pay_mod/easypay/pay_fail.htm')));

	return  $content;
}


 ?>